> For the complete documentation index, see llms.txt.
Skip to main content

Check out Port for yourself โžœย 

Get an integration's sync metadata

GET 

/v1/integration/:integrationInternalId/syncsMetadata

This route allows you to get an integration's sync metadata, which includes the sync's ID, state, creation and last update dates.

Returns resyncs from the last 4 days, or the 50 most recent ones.

Empty results: This legacy endpoint can return empty results for a non-existent integration ID or an integration using the data source processor (DSP) pipelineโ€”even with a valid ID. This does not necessarily indicate a failed sync. See DSP sync monitoring and replacement endpoints for migration instructions.

Permission requirements
To use this endpoint, you must have a moderator or admin role in your Port organization.
To learn more about the different roles and permissions, please refer to the documentation.

Requestโ€‹

Responsesโ€‹

Default Response